trafficserver-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From zw...@apache.org
Subject [trafficserver] branch master updated: A number of small changes that were never merged upstream
Date Mon, 26 Mar 2018 23:55:56 GMT
This is an automated email from the ASF dual-hosted git repository.

zwoop pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/trafficserver.git


The following commit(s) were added to refs/heads/master by this push:
     new 95b5bc2  A number of small changes that were never merged upstream
95b5bc2 is described below

commit 95b5bc2024d3d7f0b77eb090928dbb64bd3572ef
Author: Leif Hedstrom <zwoop@apache.org>
AuthorDate: Sat Mar 24 13:14:24 2018 -0400

    A number of small changes that were never merged upstream
---
 ci/jenkins/bin/autest.sh         | 2 +-
 ci/jenkins/bin/build.sh          | 8 ++++----
 ci/jenkins/bin/clang-analyzer.sh | 4 ++--
 ci/jenkins/bin/rat.sh            | 8 ++++----
 4 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/ci/jenkins/bin/autest.sh b/ci/jenkins/bin/autest.sh
index 7e90bf8..2a3932c 100644
--- a/ci/jenkins/bin/autest.sh
+++ b/ci/jenkins/bin/autest.sh
@@ -24,7 +24,7 @@ mkdir -p $INSTALL
 cd src
 autoreconf -if
 
-URL="https://ci.trafficserver.apache.org/files/autest"
+URL="https://ci.trafficserver.apache.org/autest"
 AUSB="ausb-${ghprbPullId}.${BUILD_NUMBER}"
 SANDBOX="/var/tmp/${AUSB}"
 
diff --git a/ci/jenkins/bin/build.sh b/ci/jenkins/bin/build.sh
index 015cbd7..7c0f79b 100755
--- a/ci/jenkins/bin/build.sh
+++ b/ci/jenkins/bin/build.sh
@@ -22,10 +22,10 @@ test "${JOB_NAME#*type=debug}" != "${JOB_NAME}" && DEBUG="--enable-debug"
 
 # When to turn on ccache, disabled for some builds
 CCACHE="--enable-ccache"
-test "${JOB_NAME#*debian_8}" != "${JOB_NAME}" && CCACHE=""
-test "${JOB_NAME#*ubuntu_12_04}" != "${JOB_NAME}" && CCACHE=""
-test "${JOB_NAME#*ubuntu_14_04}" != "${JOB_NAME}" && CCACHE=""
-test "${JOB_NAME#*compiler=clang,label=ubuntu_16_04}" != "${JOB_NAME}" && CCACHE=""
+#test "${JOB_NAME#*debian_8}" != "${JOB_NAME}" && CCACHE=""
+#test "${JOB_NAME#*ubuntu_12_04}" != "${JOB_NAME}" && CCACHE=""
+#test "${JOB_NAME#*ubuntu_14_04}" != "${JOB_NAME}" && CCACHE=""
+#test "${JOB_NAME#*compiler=clang,label=ubuntu_16_04}" != "${JOB_NAME}" && CCACHE=""
 
 # When to enable -Werror, turned off for RHEL5 node (due to LuaJIT / gcc issues on RHEL5)
 WERROR="--enable-werror"
diff --git a/ci/jenkins/bin/clang-analyzer.sh b/ci/jenkins/bin/clang-analyzer.sh
index de9d5f8..f8784b1 100755
--- a/ci/jenkins/bin/clang-analyzer.sh
+++ b/ci/jenkins/bin/clang-analyzer.sh
@@ -59,11 +59,11 @@ if [ "${JOB_NAME#*-github}" != "${JOB_NAME}" ]; then
 	[ ! -d "${output}"] && mkdir "${output}"
     fi
     github_pr=" PR #${ghprbPullId}"
-    results_url="https://ci.trafficserver.apache.org/files/clang-analyzer/${ATS_BRANCH}/${ghprbPullId}/"
+    results_url="https://ci.trafficserver.apache.org/clang-analyzer/${ATS_BRANCH}/${ghprbPullId}/"
 else
     test -w "${OUTPUT_BASE}/${ATS_BRANCH}" && output="${OUTPUT_BASE}/${ATS_BRANCH}"
     github_pr=""
-    results_url="https://ci.trafficserver.apache.org/files/clang-analyzer/${ATS_BRANCH}/"
+    results_url="https://ci.trafficserver.apache.org/clang-analyzer/${ATS_BRANCH}/"
 fi
 
 # Tell scan-build to use clang as the underlying compiler to actually build
diff --git a/ci/jenkins/bin/rat.sh b/ci/jenkins/bin/rat.sh
index 63385ac..f01507a 100755
--- a/ci/jenkins/bin/rat.sh
+++ b/ci/jenkins/bin/rat.sh
@@ -24,14 +24,14 @@ autoreconf -if && ./configure
 rm -f lib/ts/stamp-h1
 
 ${ATS_MAKE} rat | tee RAT.txt
-mv RAT.txt /home/jenkins/RAT/rat-${ATS_BRANCH}.txt.new
-mv /home/jenkins/RAT/rat-${ATS_BRANCH}.txt.new /home/jenkins/RAT/rat-${ATS_BRANCH}.txt
+mv RAT.txt /CA/RAT/rat-${ATS_BRANCH}.txt.new
+mv /CA/RAT/rat-${ATS_BRANCH}.txt.new /CA/RAT/rat-${ATS_BRANCH}.txt
 
 # Purgatory
-curl -o /dev/null -k -s -X PURGE https://ci.trafficserver.apache.org/files/RAT/rat-${ATS_BRANCH}.txt
+curl -o /dev/null -k -s -X PURGE https://ci.trafficserver.apache.org/RAT/rat-${ATS_BRANCH}.txt
 
 # Mark as failed if there are any unknown licesnes
-grep '0 Unknown Licenses' /home/jenkins/RAT/rat-${ATS_BRANCH}.txt > /dev/null || exit
1
+grep '0 Unknown Licenses' /CA/RAT/rat-${ATS_BRANCH}.txt > /dev/null || exit 1
 
 # Normal exit
 exit 0

-- 
To stop receiving notification emails like this one, please contact
zwoop@apache.org.

Mime
View raw message